> For the complete documentation index, see [llms.txt](https://docs.saas.haut.ai/haut.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.saas.haut.ai/haut.ai/haut.ai-features/algorithms/face-metrics-2-0/eye-area-condition-algorithm.md).

# Eye Area Condition Algorithm

What the Eye Area Condition Algorithm measures under the eyes, the metrics it returns, and the lighting conditions that distort it.

## About Algorithm

{% hint style="warning" %}
**Disclaimer about algorithm sensitivity**:

Eye Area Condition Algorithm is sensitive to the direction of illumination.

Incorrect direction of incoming light (light source located on top or light source located below face) may lead to incorrect (insufficient or extreme) estimation of geometrical properties of eye bags.
{% endhint %}

1. This Algorithm estimates the visual health of the skin area under both eyes, accounting for such deterioration signs as:
   1. visible dark circles - periorbital hyperpigmentation causing a more fatigued appearance, blue (vascular with a bluish/greyish tint) or pigmented (brown tint, darker than skin tone).
   2. detectable lacrimal grooves - deformity of the orbital fat and responsive change in the topography of the skin along the lacrimal groove line.
   3. detectable eye bags - puffiness under the lower eyelid caused by the loss of skin elasticity in the lower eyelid.
2. This Algorithm estimates indicated skin health parameters on: right eye and left eye areas.
3. The Main Metric for this Algorithm is the Eye Area Condition Score, with a range from 0 to 100.
   1. Values from 80 to 100 are considered as a relatively good skin condition.
   2. Values below 50 are considered as an alerting eye area condition, that might require specialist attention.
   3. Eye Area Condition Score is a non-linear combination of the Submetrics.
4. There are several Submetrics for this Algorithm:
   * Dark Circle Score
   * Eye Bags Score
   * Lacrimal Grooves Score
   * Dark Circle Grade
   * Eye Bags Grade
   * Lacrimal Grooves Grade

***

## Algorithm API

{% hint style="warning" %}
API access is available only for <mark style="color:purple;">**Professional**</mark> plan clients
{% endhint %}

See [Eye Area Condition Result Scheme](/haut.ai/developers/saas-api-overview/api-for-face-metrics-2.0/eye-bags-eye-circles-and-lacrimal-grooves.md).

***

{% hint style="warning" %}
Not a Haut.AI client yet?
{% endhint %}

<a href="https://haut.ai/book-a-demo?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button primary" data-icon="user-vneck">Book a demo</a> <a href="https://haut.ai/product/ai-skin-analysis?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button secondary" data-icon="external-link">Platform overview on haut.ai</a>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.saas.haut.ai/haut.ai/haut.ai-features/algorithms/face-metrics-2-0/eye-area-condition-algorithm.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
